cURL
curl -X POST https://api.rebellapp.com/v1/payments/createQROrder \
-H "Content-Type: application/json" \
-H "Client-Id: YOUR_CLIENT_ID" \
-H "Request-Time: 2024-01-10T12:00:00Z" \
-H "Signature: algorithm=SHA256withRSA, keyVersion=1, signature=BASE64_SIGNATURE" \
-d '{
"bizType": "ORDER_CODE",
"productCode": "51051000101000100048",
"codeType": "CGCP",
"paymentRequestId": "REQ_abc_123",
"paymentAmount": {
"currency": "EUR",
"value": 1000
},
"order": {
"orderDescription": "Latte x2"
},
"paymentNotifyUrl": "https://merchant.example.com/webhook"
}'const response = await fetch('https://api.rebellapp.com/v1/payments/createQROrder', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'Client-Id': 'YOUR_CLIENT_ID',
'Request-Time': new Date().toISOString(),
'Signature': 'algorithm=SHA256withRSA, keyVersion=1, signature=BASE64_SIGNATURE'
},
body: JSON.stringify({
bizType: 'ORDER_CODE',
productCode: '51051000101000100048',
codeType: 'CGCP',
paymentRequestId: 'REQ_abc_123',
paymentAmount: { currency: 'EUR', value: 1000 },
order: { orderDescription: 'Latte x2' },
paymentNotifyUrl: 'https://merchant.example.com/webhook'
})
});
const data = await response.json();
console.log(data.qrCode); // Display QR code to customerimport requests
response = requests.post(
'https://api.rebellapp.com/v1/payments/createQROrder',
headers={
'Content-Type': 'application/json',
'Client-Id': 'YOUR_CLIENT_ID',
'Request-Time': '2024-01-10T12:00:00Z',
'Signature': 'algorithm=SHA256withRSA, keyVersion=1, signature=BASE64_SIGNATURE'
},
json={
'bizType': 'ORDER_CODE',
'productCode': '51051000101000100048',
'codeType': 'CGCP',
'paymentRequestId': 'REQ_abc_123',
'paymentAmount': {'currency': 'EUR', 'value': 1000},
'order': {'orderDescription': 'Latte x2'},
'paymentNotifyUrl': 'https://merchant.example.com/webhook'
}
)
data = response.json()
print(data['qrCode']) # Display QR code to customer
{
"result": {
"resultCode": "<string>",
"resultMessage": "<string>"
},
"paymentRequestId": "<string>",
"paymentId": "<string>",
"qrCode": "<string>"
}{
"result": {
"resultCode": "<string>",
"resultMessage": "<string>"
}
}Payments
Create QR Order
Initiate online payment with a merchant-presented QR code.
POST
/
v1
/
payments
/
createQROrder
cURL
curl -X POST https://api.rebellapp.com/v1/payments/createQROrder \
-H "Content-Type: application/json" \
-H "Client-Id: YOUR_CLIENT_ID" \
-H "Request-Time: 2024-01-10T12:00:00Z" \
-H "Signature: algorithm=SHA256withRSA, keyVersion=1, signature=BASE64_SIGNATURE" \
-d '{
"bizType": "ORDER_CODE",
"productCode": "51051000101000100048",
"codeType": "CGCP",
"paymentRequestId": "REQ_abc_123",
"paymentAmount": {
"currency": "EUR",
"value": 1000
},
"order": {
"orderDescription": "Latte x2"
},
"paymentNotifyUrl": "https://merchant.example.com/webhook"
}'const response = await fetch('https://api.rebellapp.com/v1/payments/createQROrder', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'Client-Id': 'YOUR_CLIENT_ID',
'Request-Time': new Date().toISOString(),
'Signature': 'algorithm=SHA256withRSA, keyVersion=1, signature=BASE64_SIGNATURE'
},
body: JSON.stringify({
bizType: 'ORDER_CODE',
productCode: '51051000101000100048',
codeType: 'CGCP',
paymentRequestId: 'REQ_abc_123',
paymentAmount: { currency: 'EUR', value: 1000 },
order: { orderDescription: 'Latte x2' },
paymentNotifyUrl: 'https://merchant.example.com/webhook'
})
});
const data = await response.json();
console.log(data.qrCode); // Display QR code to customerimport requests
response = requests.post(
'https://api.rebellapp.com/v1/payments/createQROrder',
headers={
'Content-Type': 'application/json',
'Client-Id': 'YOUR_CLIENT_ID',
'Request-Time': '2024-01-10T12:00:00Z',
'Signature': 'algorithm=SHA256withRSA, keyVersion=1, signature=BASE64_SIGNATURE'
},
json={
'bizType': 'ORDER_CODE',
'productCode': '51051000101000100048',
'codeType': 'CGCP',
'paymentRequestId': 'REQ_abc_123',
'paymentAmount': {'currency': 'EUR', 'value': 1000},
'order': {'orderDescription': 'Latte x2'},
'paymentNotifyUrl': 'https://merchant.example.com/webhook'
}
)
data = response.json()
print(data['qrCode']) # Display QR code to customer
{
"result": {
"resultCode": "<string>",
"resultMessage": "<string>"
},
"paymentRequestId": "<string>",
"paymentId": "<string>",
"qrCode": "<string>"
}{
"result": {
"resultCode": "<string>",
"resultMessage": "<string>"
}
}Authorizations
RSA SHA256 signature header. Example: Signature: algorithm=SHA256withRSA, keyVersion=0, signature=BASE64...
Rebell-assigned Client Id.
RFC3339 timestamp (e.g., 2019-05-28T12:12:00+08:00).
Body
application/json
Available options:
ORDER_CODE Amount in minor units (e.g., cents).
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
CGCP JSON string e.g. {"key":"value"}
⌘I